import { loadConfigs } from './docker-base.js';
declare const _default: {
    askForApplicationType: typeof askForApplicationType;
    askForGatewayType: typeof askForGatewayType;
    askForPath: typeof askForPath;
    askForApps: typeof askForApps;
    askForClustersMode: typeof askForClustersMode;
    askForMonitoring: typeof askForMonitoring;
    askForServiceDiscovery: typeof askForServiceDiscovery;
    askForAdminPassword: typeof askForAdminPassword;
    askForDockerRepositoryName: typeof askForDockerRepositoryName;
    askForDockerPushCommand: typeof askForDockerPushCommand;
    loadConfigs: typeof loadConfigs;
};
export default _default;
declare function askForApplicationType(): Promise<void>;
declare function askForGatewayType(): Promise<void>;
declare function askForPath(): Promise<void>;
declare function askForApps(): Promise<void>;
declare function askForClustersMode(): Promise<void>;
declare function askForMonitoring(): Promise<void>;
declare function askForServiceDiscovery(): Promise<void>;
declare function askForAdminPassword(): Promise<void>;
declare function askForDockerRepositoryName(): Promise<void>;
declare function askForDockerPushCommand(): Promise<void>;
export declare function getAppFolders(directory: any, deploymentApplicationType: any): never[];
